# HelloWorld python script for the scripting framework
from com.sun.star.text.ControlCharacter import PARAGRAPH_BREAK

def HelloWorldPython( ):
    """Prints the string 'Hello from Python' into the current document"""
    #get the doc from the scripting context which is made available to all scripts
    model = XSCRIPTCONTEXT.getDocument()
    #get the XText interface
    text = model.Text
    #create an XTextCursor
    cursor = text.createTextCursor()
    cursor.gotoEnd(False)
    #and insert the string
    text.insertString( cursor, "Hello from Python !", False )
    text.insertControlCharacter(cursor, PARAGRAPH_BREAK, False)
    return None


g_exportedScripts = HelloWorldPython,


# --- faked component, dummy to allow registration with unopkg, no functionality expected
import unohelper
g_ImplementationHelper = unohelper.ImplementationHelper()
g_ImplementationHelper.addImplementation( \
	None,"org.openoffice.script.DummyImplementationForPythonScripts", \
    ("org.openoffice.script.DummyServiceForPythonScripts",),)

